<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.ProjectHelper</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.ProjectHelper</h1>
<p>
Module implementing the shelve extension project helper.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#ShelveProjectHelper">ShelveProjectHelper</a></td>
<td>Class implementing the shelve extension project helper.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="ShelveProjectHelper" ID="ShelveProjectHelper"></a>
<h2>ShelveProjectHelper</h2>
<p>
    Class implementing the shelve extension project helper.
</p>

<h3>Derived from</h3>
HgExtensionProjectHelper
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#ShelveProjectHelper.__init__">ShelveProjectHelper</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.__hgCleanupShelves">__hgCleanupShelves</a></td>
<td>Private slot to delete all shelves.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.__hgDeleteShelves">__hgDeleteShelves</a></td>
<td>Private slot to delete selected shelves.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.__hgShelve">__hgShelve</a></td>
<td>Private slot used to shelve all current changes.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.__hgShelveBrowser">__hgShelveBrowser</a></td>
<td>Private slot to show the shelve browser dialog.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.__hgUnshelve">__hgUnshelve</a></td>
<td>Private slot used to restore a shelved change.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.__hgUnshelveAbort">__hgUnshelveAbort</a></td>
<td>Private slot used to abort an ongoing restore operation.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.__hgUnshelveContinue">__hgUnshelveContinue</a></td>
<td>Private slot used to continue an ongoing restore operation.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.__reopenProject">__reopenProject</a></td>
<td>Private method to reopen the project if needed and wanted.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.initActions">initActions</a></td>
<td>Public method to generate the action objects.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.initMenu">initMenu</a></td>
<td>Public method to generate the extension menu.</td>
</tr>
<tr>
<td><a href="#ShelveProjectHelper.menuTitle">menuTitle</a></td>
<td>Public method to get the menu title.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="ShelveProjectHelper.__init__" ID="ShelveProjectHelper.__init__"></a>
<h4>ShelveProjectHelper (Constructor)</h4>
<b>ShelveProjectHelper</b>(<i></i>)
<p>
        Constructor
</p>

<a NAME="ShelveProjectHelper.__hgCleanupShelves" ID="ShelveProjectHelper.__hgCleanupShelves"></a>
<h4>ShelveProjectHelper.__hgCleanupShelves</h4>
<b>__hgCleanupShelves</b>(<i></i>)
<p>
        Private slot to delete all shelves.
</p>

<a NAME="ShelveProjectHelper.__hgDeleteShelves" ID="ShelveProjectHelper.__hgDeleteShelves"></a>
<h4>ShelveProjectHelper.__hgDeleteShelves</h4>
<b>__hgDeleteShelves</b>(<i></i>)
<p>
        Private slot to delete selected shelves.
</p>

<a NAME="ShelveProjectHelper.__hgShelve" ID="ShelveProjectHelper.__hgShelve"></a>
<h4>ShelveProjectHelper.__hgShelve</h4>
<b>__hgShelve</b>(<i></i>)
<p>
        Private slot used to shelve all current changes.
</p>

<a NAME="ShelveProjectHelper.__hgShelveBrowser" ID="ShelveProjectHelper.__hgShelveBrowser"></a>
<h4>ShelveProjectHelper.__hgShelveBrowser</h4>
<b>__hgShelveBrowser</b>(<i></i>)
<p>
        Private slot to show the shelve browser dialog.
</p>

<a NAME="ShelveProjectHelper.__hgUnshelve" ID="ShelveProjectHelper.__hgUnshelve"></a>
<h4>ShelveProjectHelper.__hgUnshelve</h4>
<b>__hgUnshelve</b>(<i></i>)
<p>
        Private slot used to restore a shelved change.
</p>

<a NAME="ShelveProjectHelper.__hgUnshelveAbort" ID="ShelveProjectHelper.__hgUnshelveAbort"></a>
<h4>ShelveProjectHelper.__hgUnshelveAbort</h4>
<b>__hgUnshelveAbort</b>(<i></i>)
<p>
        Private slot used to abort an ongoing restore operation.
</p>

<a NAME="ShelveProjectHelper.__hgUnshelveContinue" ID="ShelveProjectHelper.__hgUnshelveContinue"></a>
<h4>ShelveProjectHelper.__hgUnshelveContinue</h4>
<b>__hgUnshelveContinue</b>(<i></i>)
<p>
        Private slot used to continue an ongoing restore operation.
</p>

<a NAME="ShelveProjectHelper.__reopenProject" ID="ShelveProjectHelper.__reopenProject"></a>
<h4>ShelveProjectHelper.__reopenProject</h4>
<b>__reopenProject</b>(<i>shouldReopen, title</i>)
<p>
        Private method to reopen the project if needed and wanted.
</p>

<dl>

<dt><i>shouldReopen</i> (bool)</dt>
<dd>
flag indicating that the project should
            be reopened
</dd>
<dt><i>title</i> (str)</dt>
<dd>
title of the message box
</dd>
</dl>
<a NAME="ShelveProjectHelper.initActions" ID="ShelveProjectHelper.initActions"></a>
<h4>ShelveProjectHelper.initActions</h4>
<b>initActions</b>(<i></i>)
<p>
        Public method to generate the action objects.
</p>

<a NAME="ShelveProjectHelper.initMenu" ID="ShelveProjectHelper.initMenu"></a>
<h4>ShelveProjectHelper.initMenu</h4>
<b>initMenu</b>(<i>mainMenu</i>)
<p>
        Public method to generate the extension menu.
</p>

<dl>

<dt><i>mainMenu</i> (QMenu)</dt>
<dd>
reference to the main menu
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
populated menu
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
QMenu
</dd>
</dl>
<a NAME="ShelveProjectHelper.menuTitle" ID="ShelveProjectHelper.menuTitle"></a>
<h4>ShelveProjectHelper.menuTitle</h4>
<b>menuTitle</b>(<i></i>)
<p>
        Public method to get the menu title.
</p>

<dl>
<dt>Return:</dt>
<dd>
title of the menu
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
